<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->


## Time Pickerr

A flutter plugin for a horinzontal picker.

<iframe src="https://giphy.com/embed/GzZSJ20BBYlXwSCkW7" width="240" height="480" frameBorder="0" class="giphy-embed" allowFullScreen></iframe><p><a href="https://giphy.com/gifs/GzZSJ20BBYlXwSCkW7">via GIPHY</a></p>

## Usage

You can use time picker as a normal widget like:

```dart
buildCustomTimer(BuildContext context) {
    return CustomHourPicker(
      elevation: 2,
      onPositivePressed: (context, time) {
        print('onPositive');
      },
      onNegativePressed: (context) {
        print('onNegative');
      },
    );
  };
```
or in a showdialog:

```dart
showDialog(
            context: context,
            builder: (BuildContext context) {
              return buildCustomTimer(context);
            },
          );
```

## Additional information

Feel free to do pull requests or ask for changes on issues(on gitHub).
